Index: encode.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/oggenc/encode.c,v
retrieving revision 1.7
diff -c -r1.7 encode.c
*** encode.c	2000/11/05 04:52:21	1.7
--- encode.c	2001/01/01 16:17:39
***************
*** 19,26 ****
  
  
  #define READSIZE 1024
  
- 
  int oe_write_page(ogg_page *page, FILE *fp);
  
  int oe_encode(oe_enc_opt *opt)
--- 19,26 ----
  
  
  #define READSIZE 1024
+ #define Q_SIZE 10
  
  int oe_write_page(ogg_page *page, FILE *fp);
  
  int oe_encode(oe_enc_opt *opt)
***************
*** 28,34 ****
  
  	ogg_stream_state os;
  	ogg_page 		 og;
! 	ogg_packet 		 op;
  
  	vorbis_dsp_state vd;
  	vorbis_block     vb;
--- 28,34 ----
  
  	ogg_stream_state os;
  	ogg_page 		 og;
! 	ogg_packet 		 op[Q_SIZE];
  
  	vorbis_dsp_state vd;
  	vorbis_block     vb;
***************
*** 39,44 ****
--- 39,45 ----
  	long bytes_written = 0, packetsdone=0;
  	double time_elapsed;
  	int ret=0;
+ 	int i, op_counter = 0;
  
  	TIMER *timer;
  
***************
*** 133,142 ****
  		{
  
  			/* Do the main analysis, creating a packet */
! 			vorbis_analysis(&vb, &op);
! 
  			/* Add packet to bitstream */
! 			ogg_stream_packetin(&os,&op);
  			packetsdone++;
  
  			/* If we've gone over a page boundary, we can do actual output,
--- 134,149 ----
  		{
  
  			/* Do the main analysis, creating a packet */
! 		        printf("Saving packet %d\n", op_counter);
! 			vorbis_analysis(&vb, &op[op_counter]);
! 			op_counter++;
! 
! 			if (op_counter >= Q_SIZE) {
! 			  op_counter = 0;
! 			  for (i = 0; i < Q_SIZE; i++) {
! 			    printf("Flushing packet %d\n", i);
  			/* Add packet to bitstream */
! 			ogg_stream_packetin(&os,&op[i]);
  			packetsdone++;
  
  			/* If we've gone over a page boundary, we can do actual output,
***************
*** 159,164 ****
--- 166,173 ----
  
  				if(ogg_page_eos(&og))
  					eos = 1;
+ 			}
+ 			  }
  			}
  		}
  	}
